
Foreman - Bug #321

external-node importer does not overwrite class list
Pull request:    

Description

If you are migrating and run the external-node importer, it should overwrite the class list for each host with the new information each

time. (Instead, it combines them.)

Starting node info:

--- 

classes: 

  - base

  - class2

  - class3

  - class4

parameters: 

...

Run the import:external_nodes. Foreman shows (correctly) base, class2, class3, class4.

Edit the node in the external tool:

--- 

classes: 

  - base

  - class2

  - class5

parameters: 

...

(Remove class3, class4. Add class5.)

rake import:external_nodes again. Foreman will now show "base, class2, class3, class4, class5" - the removed classes do not go

away.

Associated revisions

Revision 727312c3 - 06/25/2010 08:12 AM - Ohad Levy

fixes #321 - external-node importer does not overwrite class list

History

#1 - 06/10/2010 05:28 PM - Ohad Levy

- Target version set to 0.1-6

well.. this was suppose to be a one time operation.... not a continues effort ;)

#2 - 06/25/2010 08:17 AM - Ohad Levy

- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset 727312c3b6ea6693fafe1a2162753a04183ccd44.

#3 - 07/19/2010 06:37 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
